# Uses of Class
org.biojava.utils.bytecode.LocalVariable

## Uses of LocalVariable in org.biojava.utils.bytecode

Methods in org.biojava.utils.bytecode that return LocalVariable
Modifier and Type
Method
Description
`LocalVariable`
GeneratedCodeMethod.`getThis()`
Gets the This attribute of the GeneratedCodeMethod object
`LocalVariable`
GeneratedCodeMethod.`getVariable(int pos)`
Gets the Variable attribute of the GeneratedCodeMethod object.
`LocalVariable`
GeneratedCodeMethod.`getVariable(String argName)`
Gets the Variable attribute of the GenerateCodeMethod object by name.
Methods in org.biojava.utils.bytecode with parameters of type LocalVariable
Modifier and Type
Method
Description
`static Instruction`
ByteCode.`make_aload(LocalVariable lv)`
`static Instruction`
ByteCode.`make_astore(LocalVariable lv)`
`static Instruction`
ByteCode.`make_dload(LocalVariable lv)`
`static Instruction`
ByteCode.`make_dstore(LocalVariable lv)`
`static Instruction`
ByteCode.`make_fload(LocalVariable lv)`
`static Instruction`
ByteCode.`make_fstore(LocalVariable lv)`
`static Instruction`
ByteCode.`make_iload(LocalVariable lv)`
`static Instruction`
ByteCode.`make_istore(LocalVariable lv)`
`static Instruction`
ByteCode.`make_lload(LocalVariable lv)`
`ParametricCodeGenerator`
ByteCode.`make_load(ParametricType type, LocalVariable lv)`
Load an item of a parametric type from a local variable.
`static Instruction`
ByteCode.`make_lstore(LocalVariable lv)`
`ParametricCodeGenerator`
ByteCode.`make_save(ParametricType type, LocalVariable lv)`
Store an item of a parametric type to a local variable.
`static CodeGenerator`
ByteCode.`make_synchronizedBlock(LocalVariable lockVar, CodeGenerator code)`
Synchronize the processing of an entire block of code on a local variable.
`int`
CodeContext.`resolveLocal(LocalVariable lv)`
Resolve a local variable to the local variable slot assigned to it.